curl --request GET \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalog/{catalogId}/cache/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalog/{catalogId}/cache/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalog/{catalogId}/cache/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"status": "RUNNING",
"catalogId": "<string>",
"schemaName": "<string>",
"tableName": "<string>",
"lastIncrementalCacheExecution": {
"id": "<string>",
"executionMode": "<string>",
"status": "<string>",
"error": {},
"progress": {
"numberOfCachedRecords": 123,
"numberOfInsertedRecords": 123,
"numberOfUpdatedRecords": 123,
"numberOfDeletedRecords": 123,
"lastOffset": "<string>",
"lastCacheTxId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
},
"lastFullRefreshCacheExecution": {
"id": "<string>",
"executionMode": "<string>",
"status": "<string>",
"error": {},
"progress": {
"numberOfCachedRecords": 123,
"numberOfInsertedRecords": 123,
"numberOfUpdatedRecords": 123,
"numberOfDeletedRecords": 123,
"lastOffset": "<string>",
"lastCacheTxId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
},
"cacheActionLogs": [
{
"timestamp": "2023-11-07T05:31:56Z",
"action": "<string>",
"message": "<string>",
"cacheType": "<string>",
"isScheduled": true
}
],
"projectId": "<string>"
}
]Get All Cache Statuses of a Catalog
Returns the status of all caches within a specific catalog of a project. This filters the cache list to only those belonging to the given catalog, which is useful when managing caches per data source connection.
Each entry in the response array contains the same status information as the single cache status endpoint.


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
The unique identifier of the project that owns the catalog
The unique identifier of the catalog (data source connection) to filter caches by
Response
List of cache statuses for all caches in the catalog. Returns an empty array if no caches exist for this catalog.
The ID of the cache.
The status of the cache. RUNNING, CANCELLED, FAILED, COMPLETED, DELETED, NOT_INITIALIZED
RUNNING, CANCELLED, FAILED, COMPLETED, DELETED, NOT_INITIALIZED The ID of the catalog that the cache belongs to.
The name of the schema that the cache belongs to.
The name of the table that the cache belongs to.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The list of cache action logs
Show child attributes
Show child attributes
The ID of the project that the cache belongs to.